from sqlalchemy import Column, Boolean, Integer, String, JSON

from database import Base


class Message(Base):
    __tablename__ = "messages"

    id = Column(Integer, primary_key=True, autoincrement=True)
    timestamp = Column(String, nullable=False)
    message_id = Column(Integer, nullable=False)
    author_id = Column(Integer, nullable=False)
    channel_id = Column(Integer, nullable=False)
    stickers = Column(JSON, nullable=False, default=list)
    role_mentions = Column(JSON, nullable=False, default=list)
    mention_everyone = Column(Boolean, nullable=False, default=False)
    mentions = Column(JSON, nullable=False, default=list)
    attachments = Column(JSON, nullable=False, default=list)
    content = Column(String, nullable=False)
